libgimpprint API Reference: escp2_privdata_t struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# escp2_privdata_t Struct Reference

`#include <print-escp2.h>`

## Data Fields
int | nozzles
int | min_nozzles
int | nozzle_separation
int * | head_offset
int | max_head_offset
int | page_management_units
int | vertical_units
int | horizontal_units
int | micro_units
int | unit_scale
int | send_zero_pass_advance
int | bitwidth
int | drop_size
int | ink_resid
const escp2_inkname_t * | inkname
int | logical_channels
int | physical_channels
int | channels_in_use
unsigned char ** | cols
const physical_subchannel_t ** | channels
int | use_black_parameters
int | use_fast_360
int | advanced_command_set
int | use_extended_commands
const input_slot_t * | input_slot
const paper_t * | paper_type
const paper_adjustment_t * | paper_adjustment
const inkgroup_t * | ink_group
const stp_raw_t * | init_sequence
const stp_raw_t * | deinit_sequence
model_featureset_t | command_set
int | variable_dots
int | has_vacuum
int | has_graymode
int | base_separation
int | resolution_scale
int | printing_resolution
int | separation_rows
int | pseudo_separation_rows
int | extra_720dpi_separation
int | horizontal_passes
int | physical_xdpi
const res_t * | res
const printer_weave_t * | printer_weave
int | use_printer_weave
int | page_left
int | page_right
int | page_top
int | page_bottom
int | page_width
int | page_height
int | page_true_height
int | cd_x_offset
int | cd_y_offset
int | cd_outer_radius
int | cd_inner_radius
int | image_height
int | image_width
int | image_top
int | image_left
int | image_scaled_width
int | image_printed_width
int | image_scaled_height
int | image_printed_height
int | image_left_position
int | printed_something
int | initial_vertical_offset
int | printing_initial_vertical_offset
int | last_color
int | last_pass_offset
int | last_pass

## Field Documentation

int escp2_privdata_t::advanced_command_set

| Definition at line 622 of file print-escp2.h. Referenced by escp2_set_form_factor(), escp2_set_remote_sequence(), set_horizontal_position(), setup_misc(), and stpi_escp2_deinit_printer().

int escp2_privdata_t::base_separation

| Definition at line 634 of file print-escp2.h. Referenced by escp2_set_printhead_resolution(), escp2_set_remote_sequence(), print_debug_params(), and setup_misc().

int escp2_privdata_t::bitwidth

| Definition at line 606 of file print-escp2.h. Referenced by escp2_print_page(), print_debug_params(), send_extra_data(), send_print_command(), and setup_head_parameters().

int escp2_privdata_t::cd_inner_radius

| Definition at line 660 of file print-escp2.h. Referenced by escp2_print_data(), and setup_page().

int escp2_privdata_t::cd_outer_radius

| Definition at line 659 of file print-escp2.h. Referenced by escp2_print_data(), and setup_page().

int escp2_privdata_t::cd_x_offset

| Definition at line 657 of file print-escp2.h. Referenced by escp2_print_data(), and setup_page().

int escp2_privdata_t::cd_y_offset

| Definition at line 658 of file print-escp2.h. Referenced by setup_page().

const physical_subchannel_t** escp2_privdata_t::channels

| Definition at line 617 of file print-escp2.h. Referenced by allocate_channels(), escp2_print_page(), send_print_command(), and set_color().

int escp2_privdata_t::channels_in_use

| Definition at line 614 of file print-escp2.h. Referenced by allocate_channels(), escp2_do_print(), escp2_print_page(), print_debug_params(), setup_head_offset(), and stpi_escp2_flush_pass().

unsigned char** escp2_privdata_t::cols

| Definition at line 616 of file print-escp2.h. Referenced by allocate_channels(), escp2_print_data(), and escp2_print_page().

model_featureset_t escp2_privdata_t::command_set

| Definition at line 630 of file print-escp2.h. Referenced by escp2_set_margins(), escp2_set_printhead_resolution(), escp2_set_remote_sequence(), print_debug_params(), send_print_command(), set_horizontal_position(), and setup_misc().

const stp_raw_t* escp2_privdata_t::deinit_sequence

| Definition at line 629 of file print-escp2.h. Referenced by setup_misc(), and stpi_escp2_deinit_printer().

int escp2_privdata_t::drop_size

| Definition at line 607 of file print-escp2.h. Referenced by adjust_density_and_ink_type(), escp2_set_dot_size(), and print_debug_params().

int escp2_privdata_t::extra_720dpi_separation

| Definition at line 639 of file print-escp2.h. Referenced by print_debug_params(), send_print_command(), and setup_head_parameters().

int escp2_privdata_t::has_graymode

| Definition at line 633 of file print-escp2.h. Referenced by escp2_set_color(), print_debug_params(), and setup_misc().

int escp2_privdata_t::has_vacuum

| Definition at line 632 of file print-escp2.h. Referenced by escp2_set_remote_sequence(), print_debug_params(), and setup_misc().

int* escp2_privdata_t::head_offset

| Definition at line 596 of file print-escp2.h. Referenced by escp2_do_print(), escp2_print_page(), setup_head_offset(), and setup_head_parameters().

int escp2_privdata_t::horizontal_passes

| Definition at line 642 of file print-escp2.h. Referenced by escp2_print_page(), print_debug_params(), send_extra_data(), send_print_command(), set_horizontal_position(), setup_head_parameters(), setup_printer_weave_parameters(), and setup_softweave_parameters().

int escp2_privdata_t::horizontal_units

| Definition at line 600 of file print-escp2.h. Referenced by escp2_set_resolution(), print_debug_params(), and setup_resolution().

int escp2_privdata_t::image_height

| Definition at line 663 of file print-escp2.h. Referenced by print_debug_params(), and setup_page().

int escp2_privdata_t::image_left

| Definition at line 666 of file print-escp2.h. Referenced by print_debug_params(), and setup_page().

int escp2_privdata_t::image_left_position

| Definition at line 671 of file print-escp2.h. Referenced by print_debug_params(), set_horizontal_position(), and setup_page().

int escp2_privdata_t::image_printed_height

| Definition at line 670 of file print-escp2.h. Referenced by escp2_print_data(), escp2_print_page(), print_debug_params(), and setup_page().

int escp2_privdata_t::image_printed_width

| Definition at line 668 of file print-escp2.h. Referenced by escp2_print_data(), escp2_print_page(), print_debug_params(), send_extra_data(), send_print_command(), set_horizontal_position(), and setup_page().

int escp2_privdata_t::image_scaled_height

| Definition at line 669 of file print-escp2.h. Referenced by print_debug_params(), and setup_page().

int escp2_privdata_t::image_scaled_width

| Definition at line 667 of file print-escp2.h. Referenced by print_debug_params(), set_horizontal_position(), and setup_page().

int escp2_privdata_t::image_top

| Definition at line 665 of file print-escp2.h. Referenced by escp2_print_page(), print_debug_params(), and setup_page().

int escp2_privdata_t::image_width

| Definition at line 664 of file print-escp2.h. Referenced by print_debug_params(), and setup_page().

const stp_raw_t* escp2_privdata_t::init_sequence

| Definition at line 628 of file print-escp2.h. Referenced by escp2_reset_printer(), and setup_misc().

int escp2_privdata_t::initial_vertical_offset

| Definition at line 675 of file print-escp2.h. Referenced by escp2_set_margins(), print_debug_params(), and setup_head_parameters().

const inkgroup_t* escp2_privdata_t::ink_group

| Definition at line 627 of file print-escp2.h. Referenced by setup_misc().

int escp2_privdata_t::ink_resid

| Definition at line 608 of file print-escp2.h. Referenced by adjust_density_and_ink_type(), print_debug_params(), and setup_inks().

const escp2_inkname_t* escp2_privdata_t::inkname

| Definition at line 609 of file print-escp2.h. Referenced by allocate_channels(), escp2_do_print(), print_debug_params(), setup_head_offset(), setup_head_parameters(), and setup_inks().

const input_slot_t* escp2_privdata_t::input_slot

| Definition at line 624 of file print-escp2.h. Referenced by escp2_set_remote_sequence(), setup_misc(), stpi_escp2_deinit_printer(), and stpi_escp2_terminate_page().

int escp2_privdata_t::last_color

| Definition at line 677 of file print-escp2.h. Referenced by escp2_do_print(), and set_color().

int escp2_privdata_t::last_pass

| Definition at line 679 of file print-escp2.h. Referenced by escp2_do_print(), and set_vertical_position().

int escp2_privdata_t::last_pass_offset

| Definition at line 678 of file print-escp2.h. Referenced by escp2_do_print(), and set_vertical_position().

int escp2_privdata_t::logical_channels

| Definition at line 612 of file print-escp2.h. Referenced by allocate_channels(), print_debug_params(), setup_head_offset(), setup_head_parameters(), and setup_inks().

int escp2_privdata_t::max_head_offset

| Definition at line 597 of file print-escp2.h. Referenced by setup_head_offset().

int escp2_privdata_t::micro_units

| Definition at line 601 of file print-escp2.h. Referenced by escp2_print_data(), print_debug_params(), set_horizontal_position(), setup_page(), and setup_resolution().

int escp2_privdata_t::min_nozzles

| Definition at line 594 of file print-escp2.h. Referenced by setup_printer_weave_parameters(), setup_softweave_parameters(), and stpi_escp2_flush_pass().

int escp2_privdata_t::nozzle_separation

| Definition at line 595 of file print-escp2.h. Referenced by escp2_print_page(), escp2_set_printhead_resolution(), print_debug_params(), setup_printer_weave_parameters(), and setup_softweave_parameters().

int escp2_privdata_t::nozzles

| Definition at line 593 of file print-escp2.h. Referenced by escp2_print_page(), print_debug_params(), send_print_command(), setup_printer_weave_parameters(), and setup_softweave_parameters().

int escp2_privdata_t::page_bottom

| Definition at line 653 of file print-escp2.h. Referenced by escp2_set_margins(), print_debug_params(), and setup_page().

int escp2_privdata_t::page_height

| Definition at line 655 of file print-escp2.h. Referenced by escp2_print_page(), print_debug_params(), and setup_page().

int escp2_privdata_t::page_left

| Definition at line 650 of file print-escp2.h. Referenced by print_debug_params(), and setup_page().

int escp2_privdata_t::page_management_units

| Definition at line 598 of file print-escp2.h. Referenced by escp2_set_form_factor(), escp2_set_margins(), escp2_set_page_height(), escp2_set_resolution(), print_debug_params(), setup_head_parameters(), and setup_resolution().

int escp2_privdata_t::page_right

| Definition at line 651 of file print-escp2.h. Referenced by print_debug_params(), and setup_page().

int escp2_privdata_t::page_top

| Definition at line 652 of file print-escp2.h. Referenced by escp2_set_margins(), print_debug_params(), and setup_page().

int escp2_privdata_t::page_true_height

| Definition at line 656 of file print-escp2.h. Referenced by escp2_set_form_factor(), escp2_set_page_height(), escp2_set_remote_sequence(), print_debug_params(), and setup_page().

int escp2_privdata_t::page_width

| Definition at line 654 of file print-escp2.h. Referenced by escp2_set_form_factor(), print_debug_params(), and setup_page().

const paper_adjustment_t* escp2_privdata_t::paper_adjustment

| Definition at line 626 of file print-escp2.h. Referenced by adjust_density_and_ink_type(), adjust_print_quality(), setup_inks(), and setup_misc().

const paper_t* escp2_privdata_t::paper_type

| Definition at line 625 of file print-escp2.h. Referenced by escp2_set_remote_sequence(), and setup_misc().

int escp2_privdata_t::physical_channels

| Definition at line 613 of file print-escp2.h. Referenced by print_debug_params(), setup_head_offset(), setup_head_parameters(), and setup_softweave_parameters().

int escp2_privdata_t::physical_xdpi

| Definition at line 644 of file print-escp2.h. Referenced by escp2_set_printhead_resolution(), print_debug_params(), send_print_command(), setup_head_parameters(), setup_resolution(), and setup_softweave_parameters().

int escp2_privdata_t::printed_something

| Definition at line 674 of file print-escp2.h. Referenced by escp2_do_print(), stpi_escp2_flush_pass(), and stpi_escp2_terminate_page().

const printer_weave_t* escp2_privdata_t::printer_weave

| Definition at line 646 of file print-escp2.h. Referenced by escp2_set_printer_weave(), and setup_head_parameters().

int escp2_privdata_t::printing_initial_vertical_offset

| Definition at line 676 of file print-escp2.h. Referenced by set_vertical_position(), and setup_head_parameters().

int escp2_privdata_t::printing_resolution

| Definition at line 636 of file print-escp2.h. Referenced by escp2_set_printhead_speed(), print_debug_params(), and setup_resolution().

int escp2_privdata_t::pseudo_separation_rows

| Definition at line 638 of file print-escp2.h. Referenced by print_debug_params(), send_print_command(), and setup_head_parameters().

const res_t* escp2_privdata_t::res

| Definition at line 645 of file print-escp2.h. Referenced by adjust_density_and_ink_type(), escp2_print_data(), escp2_print_page(), escp2_set_printer_weave(), escp2_set_printhead_resolution(), escp2_set_printhead_speed(), print_debug_params(), set_horizontal_position(), set_vertical_position(), setup_head_offset(), setup_head_parameters(), setup_misc(), setup_page(), setup_resolution(), and setup_softweave_parameters().

int escp2_privdata_t::resolution_scale

| Definition at line 635 of file print-escp2.h. Referenced by escp2_set_printhead_resolution(), print_debug_params(), and setup_misc().

int escp2_privdata_t::send_zero_pass_advance

| Definition at line 603 of file print-escp2.h. Referenced by escp2_do_print(), print_debug_params(), and set_vertical_position().

int escp2_privdata_t::separation_rows

| Definition at line 637 of file print-escp2.h. Referenced by print_debug_params(), send_print_command(), set_vertical_position(), and setup_head_parameters().

int escp2_privdata_t::unit_scale

| Definition at line 602 of file print-escp2.h. Referenced by escp2_set_resolution(), print_debug_params(), and setup_resolution().

int escp2_privdata_t::use_black_parameters

| Definition at line 620 of file print-escp2.h. Referenced by escp2_set_color(), print_debug_params(), setup_head_parameters(), setup_printer_weave_parameters(), and setup_softweave_parameters().

int escp2_privdata_t::use_extended_commands

| Definition at line 623 of file print-escp2.h. Referenced by escp2_set_margins(), escp2_set_page_height(), escp2_set_printhead_resolution(), escp2_set_resolution(), set_color(), set_vertical_position(), and setup_misc().

int escp2_privdata_t::use_fast_360

| Definition at line 621 of file print-escp2.h. Referenced by escp2_set_color(), print_debug_params(), setup_head_parameters(), and setup_softweave_parameters().

int escp2_privdata_t::use_printer_weave

| Definition at line 647 of file print-escp2.h. Referenced by print_debug_params(), and setup_head_parameters().

int escp2_privdata_t::variable_dots

| Definition at line 631 of file print-escp2.h. Referenced by print_debug_params(), send_print_command(), set_horizontal_position(), and setup_misc().

int escp2_privdata_t::vertical_units

| Definition at line 599 of file print-escp2.h. Referenced by escp2_set_resolution(), print_debug_params(), send_print_command(), set_vertical_position(), and setup_resolution().

The documentation for this struct was generated from the following file:

- src/main/print-escp2.h